Subject: Re: [PATCH net-next v2 2/6] net: txgbe: Implement I2C bus master driver

From: Wolfram Sang <[email-masked]>
Date: Thu, 13 Apr 2023 18:28:31 +0200

> > > Implement I2C bus driver to send and receive I2C messages.
> > > 
> > > This I2C license the IP of Synopsys Designware, but without interrupt
> > > support on the hardware design. It seems that polling mode needs to be
> > > added in Synopsys Designware I2C driver. But currently it can only be
> > > driven by this I2C bus master driver.
> > > 
> > > Signed-off-by: Jiawen Wu <[email-masked]>
> > > ---
> > >   drivers/net/ethernet/wangxun/Kconfig          |   1 +
> > >   .../net/ethernet/wangxun/txgbe/txgbe_phy.c    | 153
> > > ++++++++++++++++++
> > >   .../net/ethernet/wangxun/txgbe/txgbe_type.h   |  23 +++
> > >   3 files changed, 177 insertions(+)
> > > 
> Looks like your use case has similarities with the commit 17631e8ca2d3
> ("i2c: designware: Add driver support for AMD NAVI GPU").

Yes, can you please check if you can't use the current i2c designware
driver?